package com.ruoyi.project.training.newstaff.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.newstaff.mapper.TTnTransferplanTmplMapper;
import com.ruoyi.project.training.newstaff.domain.TTnTransferplanTmpl;
import com.ruoyi.project.training.newstaff.service.ITTnTransferplanTmplService;

import javax.annotation.Resource;

/**
 * 转岗培训模版Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-05
 */
@Service
public class TTnTransferplanTmplServiceImpl implements ITTnTransferplanTmplService
{
    @Resource
    private TTnTransferplanTmplMapper tTnTransferplanTmplMapper;

    /**
     * 查询转岗培训模版
     *
     * @param id 转岗培训模版ID
     * @return 转岗培训模版
     */
    @Override
    public TTnTransferplanTmpl selectTTnTransferplanTmplById(Long id)
    {
        return tTnTransferplanTmplMapper.selectTTnTransferplanTmplById(id);
    }

    /**
     * 查询转岗培训模版列表
     *
     * @param tTnTransferplanTmpl 转岗培训模版
     * @return 转岗培训模版
     */
    @Override
    public List<TTnTransferplanTmpl> selectTTnTransferplanTmplList(TTnTransferplanTmpl tTnTransferplanTmpl)
    {
        return tTnTransferplanTmplMapper.selectTTnTransferplanTmplList(tTnTransferplanTmpl);
    }

    /**
     * 新增转岗培训模版
     *
     * @param tTnTransferplanTmpl 转岗培训模版
     * @return 结果
     */
    @Override
    public int insertTTnTransferplanTmpl(TTnTransferplanTmpl tTnTransferplanTmpl)
    {
        return tTnTransferplanTmplMapper.insertTTnTransferplanTmpl(tTnTransferplanTmpl);
    }

    /**
     * 修改转岗培训模版
     *
     * @param tTnTransferplanTmpl 转岗培训模版
     * @return 结果
     */
    @Override
    public int updateTTnTransferplanTmpl(TTnTransferplanTmpl tTnTransferplanTmpl)
    {
        return tTnTransferplanTmplMapper.updateTTnTransferplanTmpl(tTnTransferplanTmpl);
    }

    /**
     * 批量删除转岗培训模版
     *
     * @param ids 需要删除的转岗培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTnTransferplanTmplByIds(Long[] ids)
    {
        return tTnTransferplanTmplMapper.deleteTTnTransferplanTmplByIds(ids);
    }

    /**
     * 删除转岗培训模版信息
     *
     * @param id 转岗培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTnTransferplanTmplById(Long id)
    {
        return tTnTransferplanTmplMapper.deleteTTnTransferplanTmplById(id);
    }
}
